SUSE 5002 Published by

A qt6-svg security update has been released for SUSE Linux Enterprise 15 SP4.



openSUSE-SU-2023:0111-1: moderate: Security update for qt6-svg


openSUSE Security Update: Security update for qt6-svg
______________________________________________________________________________

Announcement ID: openSUSE-SU-2023:0111-1
Rating: moderate
References: #1211298
Cross-References: CVE-2023-32573
CVSS scores:
CVE-2023-32573 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
CVE-2023-32573 (SUSE): 4.4 CVSS:3.1/AV:L/AC:H/PR:L/UI:R/S:U/C:N/I:N/A:H

Affected Products:
openSUSE Backports SLE-15-SP4
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for qt6-svg fixes the following issues:

- CVE-2023-32573: Fixed missing initialization of QtSvg QSvgFont
m_unitsPerEm (boo#1211298)

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Backports SLE-15-SP4:

zypper in -t patch openSUSE-2023-111=1


Package List:

- openSUSE Backports SLE-15-SP4 (aarch64 i586 ppc64le s390x x86_64):

libQt6Svg6-6.2.2-bp154.2.3.1
libQt6SvgWidgets6-6.2.2-bp154.2.3.1
qt6-svg-devel-6.2.2-bp154.2.3.1
qt6-svg-docs-html-6.2.2-bp154.2.3.1
qt6-svg-docs-qch-6.2.2-bp154.2.3.1
qt6-svg-examples-6.2.2-bp154.2.3.1
qt6-svg-private-devel-6.2.2-bp154.2.3.1

References:

  https://www.suse.com/security/cve/CVE-2023-32573.html
  https://bugzilla.suse.com/1211298